Subject: [PATCH RESEND v2 1/2] arm/dts: Add AM33XX basic pinctrl support

From: [email-masked] (Peter Ujfalusi)
Date: Wed, 08 Aug 2012 15:05:44 +0300

On 07/31/2012 04:37 PM, AnilKumar, Chimata wrote:
>> I'm just curious about the size here: how it ended up as 0x0338?
>> While looking at the TRM of AM335x I can come up with 0x0238 (0x44e10800 -
>> 0x44e10a38), but I don't see any sings of the remaining 0x0100 to be
>> documented at least.
> 
> No, pinmux registers are available till 0x44E10B38, look at AM335x latest TRM
> or pinmux utility (we cannot find the exact offsets but pins we can find after
> 0x0A38, conf_ddr_resetn) at http://www.ti.com/tool/pinmuxtool

I have looked at the latest TRM (Rev F, SPRUH73F -  public TRM) and there is
not mention of registers between 0x0a34 and 0x0e00.
I can not even find any reference of conf_ddr_resetn register either in the TRM.
I can not check with the pinmuxtool since it is crashing with wine under Linux.
There could be registers after 0x0a34, but they are not publicly documented...

-- 
P?ter